#include<iostream>
using namespace std;

int main()
{
	int n,k, j = 0, br = 0;
	static int unetiNiz[1000000], mojNiz[2000000], trebaZameniti[1000000];
	scanf("%d%d",&n,&k);
	for(int i = 0; i < n; i++)
	{
		scanf("%d",&unetiNiz[i]);
	}
	for(int i = 0; i < n * 2; i++)
	{
		mojNiz[i] = 0;
	}
	for(int i = 0; i < n; i++)
	{
		mojNiz[n + unetiNiz[i]]++;
		if(mojNiz[n + unetiNiz[i]] == k)
		{
			br++;
			trebaZameniti[j++] = unetiNiz[i];
		}
	}
	printf("%d\n",br);
	for(int i = 0; i < j; i++)
	{
		printf("%d ",trebaZameniti[i]);
	}
	
	return 0;
}